<?php

if ( ! function_exists( 'aoki_qodef_general_options_map' ) ) {
	/**
	 * General options page
	 */
	function aoki_qodef_general_options_map() {
		
		aoki_qodef_add_admin_page(
			array(
				'slug'  => '',
				'title' => esc_html__( 'General', 'aoki' ),
				'icon'  => 'fa fa-institution'
			)
		);
		
		$panel_design_style = aoki_qodef_add_admin_panel(
			array(
				'page'  => '',
				'name'  => 'panel_design_style',
				'title' => esc_html__( 'Design Style', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'google_fonts',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Google Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose a default Google font for your site', 'aoki' ),
				'parent'        => $panel_design_style
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_fonts',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Additional Google Fonts', 'aoki' ),
				'parent'        => $panel_design_style,
				'args'          => array(
					"dependence"             => true,
					"dependence_hide_on_yes" => "",
					"dependence_show_on_yes" => "#qodef_additional_google_fonts_container"
				)
			)
		);
		
		$additional_google_fonts_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $panel_design_style,
				'name'            => 'additional_google_fonts_container',
				'hidden_property' => 'additional_google_fonts',
				'hidden_value'    => 'no'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_font1',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose additional Google font for your site', 'aoki' ),
				'parent'        => $additional_google_fonts_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_font2',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose additional Google font for your site', 'aoki' ),
				'parent'        => $additional_google_fonts_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_font3',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose additional Google font for your site', 'aoki' ),
				'parent'        => $additional_google_fonts_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_font4',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose additional Google font for your site', 'aoki' ),
				'parent'        => $additional_google_fonts_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'additional_google_font5',
				'type'          => 'font',
				'default_value' => '-1',
				'label'         => esc_html__( 'Font Family', 'aoki' ),
				'description'   => esc_html__( 'Choose additional Google font for your site', 'aoki' ),
				'parent'        => $additional_google_fonts_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'google_font_weight',
				'type'          => 'checkboxgroup',
				'default_value' => '',
				'label'         => esc_html__( 'Google Fonts Style & Weight', 'aoki' ),
				'description'   => esc_html__( 'Choose a default Google font weights for your site. Impact on page load time', 'aoki' ),
				'parent'        => $panel_design_style,
				'options'       => array(
					'100'  => esc_html__( '100 Thin', 'aoki' ),
					'100i' => esc_html__( '100 Thin Italic', 'aoki' ),
					'200'  => esc_html__( '200 Extra-Light', 'aoki' ),
					'200i' => esc_html__( '200 Extra-Light Italic', 'aoki' ),
					'300'  => esc_html__( '300 Light', 'aoki' ),
					'300i' => esc_html__( '300 Light Italic', 'aoki' ),
					'400'  => esc_html__( '400 Regular', 'aoki' ),
					'400i' => esc_html__( '400 Regular Italic', 'aoki' ),
					'500'  => esc_html__( '500 Medium', 'aoki' ),
					'500i' => esc_html__( '500 Medium Italic', 'aoki' ),
					'600'  => esc_html__( '600 Semi-Bold', 'aoki' ),
					'600i' => esc_html__( '600 Semi-Bold Italic', 'aoki' ),
					'700'  => esc_html__( '700 Bold', 'aoki' ),
					'700i' => esc_html__( '700 Bold Italic', 'aoki' ),
					'800'  => esc_html__( '800 Extra-Bold', 'aoki' ),
					'800i' => esc_html__( '800 Extra-Bold Italic', 'aoki' ),
					'900'  => esc_html__( '900 Ultra-Bold', 'aoki' ),
					'900i' => esc_html__( '900 Ultra-Bold Italic', 'aoki' )
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'google_font_subset',
				'type'          => 'checkboxgroup',
				'default_value' => '',
				'label'         => esc_html__( 'Google Fonts Subset', 'aoki' ),
				'description'   => esc_html__( 'Choose a default Google font subsets for your site', 'aoki' ),
				'parent'        => $panel_design_style,
				'options'       => array(
					'latin'        => esc_html__( 'Latin', 'aoki' ),
					'latin-ext'    => esc_html__( 'Latin Extended', 'aoki' ),
					'cyrillic'     => esc_html__( 'Cyrillic', 'aoki' ),
					'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'aoki' ),
					'greek'        => esc_html__( 'Greek', 'aoki' ),
					'greek-ext'    => esc_html__( 'Greek Extended', 'aoki' ),
					'vietnamese'   => esc_html__( 'Vietnamese', 'aoki' )
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'first_color',
				'type'        => 'color',
				'label'       => esc_html__( 'First Main Color', 'aoki' ),
				'description' => esc_html__( 'Choose the most dominant theme color. Default color is #fe3e6b', 'aoki' ),
				'parent'      => $panel_design_style
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'page_background_color',
				'type'        => 'color',
				'label'       => esc_html__( 'Page Background Color', 'aoki' ),
				'description' => esc_html__( 'Choose the background color for page content. Default color is #ffffff', 'aoki' ),
				'parent'      => $panel_design_style
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'selection_color',
				'type'        => 'color',
				'label'       => esc_html__( 'Text Selection Color', 'aoki' ),
				'description' => esc_html__( 'Choose the color users see when selecting text', 'aoki' ),
				'parent'      => $panel_design_style
			)
		);
		
		/***************** Passepartout Layout - begin **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'boxed',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Boxed Layout', 'aoki' ),
				'parent'        => $panel_design_style,
				'args'          => array(
					"dependence"             => true,
					"dependence_hide_on_yes" => "",
					"dependence_show_on_yes" => "#qodef_boxed_container"
				)
			)
		);
		
			$boxed_container = aoki_qodef_add_admin_container(
				array(
					'parent'          => $panel_design_style,
					'name'            => 'boxed_container',
					'hidden_property' => 'boxed',
					'hidden_value'    => 'no'
				)
			);
		
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'page_background_color_in_box',
						'type'        => 'color',
						'label'       => esc_html__( 'Page Background Color', 'aoki' ),
						'description' => esc_html__( 'Choose the page background color outside box', 'aoki' ),
						'parent'      => $boxed_container
					)
				);
				
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'boxed_background_image',
						'type'        => 'image',
						'label'       => esc_html__( 'Background Image', 'aoki' ),
						'description' => esc_html__( 'Choose an image to be displayed in background', 'aoki' ),
						'parent'      => $boxed_container
					)
				);
				
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'boxed_pattern_background_image',
						'type'        => 'image',
						'label'       => esc_html__( 'Background Pattern', 'aoki' ),
						'description' => esc_html__( 'Choose an image to be used as background pattern', 'aoki' ),
						'parent'      => $boxed_container
					)
				);
				
				aoki_qodef_add_admin_field(
					array(
						'name'          => 'boxed_background_image_attachment',
						'type'          => 'select',
						'default_value' => '',
						'label'         => esc_html__( 'Background Image Attachment', 'aoki' ),
						'description'   => esc_html__( 'Choose background image attachment', 'aoki' ),
						'parent'        => $boxed_container,
						'options'       => array(
							''       => esc_html__( 'Default', 'aoki' ),
							'fixed'  => esc_html__( 'Fixed', 'aoki' ),
							'scroll' => esc_html__( 'Scroll', 'aoki' )
						)
					)
				);
		
		/***************** Boxed Layout - end **********************/
		
		/***************** Passepartout Layout - begin **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'paspartu',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Passepartout', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will display passepartout around site content', 'aoki' ),
				'parent'        => $panel_design_style,
				'args'          => array(
					"dependence"             => true,
					"dependence_hide_on_yes" => "",
					"dependence_show_on_yes" => "#qodef_paspartu_container"
				)
			)
		);
		
			$paspartu_container = aoki_qodef_add_admin_container(
				array(
					'parent'          => $panel_design_style,
					'name'            => 'paspartu_container',
					'hidden_property' => 'paspartu',
					'hidden_value'    => 'no'
				)
			);
		
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'paspartu_color',
						'type'        => 'color',
						'label'       => esc_html__( 'Passepartout Color', 'aoki' ),
						'description' => esc_html__( 'Choose passepartout color, default value is #ffffff', 'aoki' ),
						'parent'      => $paspartu_container
					)
				);
				
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'paspartu_width',
						'type'        => 'text',
						'label'       => esc_html__( 'Passepartout Size', 'aoki' ),
						'description' => esc_html__( 'Enter size amount for passepartout', 'aoki' ),
						'parent'      => $paspartu_container,
						'args'        => array(
							'col_width' => 2,
							'suffix'    => 'px or %'
						)
					)
				);
		
				aoki_qodef_add_admin_field(
					array(
						'name'        => 'paspartu_responsive_width',
						'type'        => 'text',
						'label'       => esc_html__( 'Responsive Passepartout Size', 'aoki' ),
						'description' => esc_html__( 'Enter size amount for passepartout for smaller screens (tablets and mobiles view)', 'aoki' ),
						'parent'      => $paspartu_container,
						'args'        => array(
							'col_width' => 2,
							'suffix'    => 'px or %'
						)
					)
				);
				
				aoki_qodef_add_admin_field(
					array(
						'parent'        => $paspartu_container,
						'type'          => 'yesno',
						'default_value' => 'no',
						'name'          => 'disable_top_paspartu',
						'label'         => esc_html__( 'Disable Top Passepartout', 'aoki' )
					)
				);
		
		/***************** Passepartout Layout - end **********************/
		
		/***************** Content Layout - begin **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'initial_content_width',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Initial Width of Content', 'aoki' ),
				'description'   => esc_html__( 'Choose the initial width of content which is in grid (Applies to pages set to "Default Template" and rows set to "In Grid")', 'aoki' ),
				'parent'        => $panel_design_style,
				'options'       => array(
					'qodef-grid-1100' => esc_html__( '1100px - default', 'aoki' ),
					'qodef-grid-1300' => esc_html__( '1300px', 'aoki' ),
					'qodef-grid-1200' => esc_html__( '1200px', 'aoki' ),
					'qodef-grid-1000' => esc_html__( '1000px', 'aoki' ),
					'qodef-grid-800'  => esc_html__( '800px', 'aoki' )
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'preload_pattern_image',
				'type'          => 'image',
				'label'         => esc_html__( 'Preload Pattern Image', 'aoki' ),
				'description'   => esc_html__( 'Choose preload pattern image to be displayed until images are loaded', 'aoki' ),
				'parent'        => $panel_design_style
			)
		);
		
		/***************** Content Layout - end **********************/
		
		$panel_settings = aoki_qodef_add_admin_panel(
			array(
				'page'  => '',
				'name'  => 'panel_settings',
				'title' => esc_html__( 'Settings', 'aoki' )
			)
		);
		
		/***************** Smooth Scroll Layout - begin **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'page_smooth_scroll',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Smooth Scroll', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will perform a smooth scrolling effect on every page (except on Mac and touch devices)', 'aoki' ),
				'parent'        => $panel_settings
			)
		);
		
		/***************** Smooth Scroll Layout - end **********************/
		
		/***************** Smooth Page Transitions Layout - begin **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'smooth_page_transitions',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Smooth Page Transitions', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will perform a smooth transition between pages when clicking on links', 'aoki' ),
				'parent'        => $panel_settings,
				'args'          => array(
					"dependence"             => true,
					"dependence_hide_on_yes" => "",
					"dependence_show_on_yes" => "#qodef_page_transitions_container"
				)
			)
		);
		
			$page_transitions_container = aoki_qodef_add_admin_container(
				array(
					'parent'          => $panel_settings,
					'name'            => 'page_transitions_container',
					'hidden_property' => 'smooth_page_transitions',
					'hidden_value'    => 'no'
				)
			);
		
				aoki_qodef_add_admin_field(
					array(
						'name'          => 'page_transition_preloader',
						'type'          => 'yesno',
						'default_value' => 'no',
						'label'         => esc_html__( 'Enable Preloading Animation', 'aoki' ),
						'description'   => esc_html__( 'Enabling this option will display an animated preloader while the page content is loading', 'aoki' ),
						'parent'        => $page_transitions_container,
						'args'          => array(
							"dependence"             => true,
							"dependence_hide_on_yes" => "",
							"dependence_show_on_yes" => "#qodef_page_transition_preloader_container"
						)
					)
				);
				
				$page_transition_preloader_container = aoki_qodef_add_admin_container(
					array(
						'parent'          => $page_transitions_container,
						'name'            => 'page_transition_preloader_container',
						'hidden_property' => 'page_transition_preloader',
						'hidden_value'    => 'no'
					)
				);
		
		
					aoki_qodef_add_admin_field(
						array(
							'name'   => 'smooth_pt_bgnd_color',
							'type'   => 'color',
							'label'  => esc_html__( 'Page Loader Background Color', 'aoki' ),
							'parent' => $page_transition_preloader_container
						)
					);
					
					$group_pt_spinner_animation = aoki_qodef_add_admin_group(
						array(
							'name'        => 'group_pt_spinner_animation',
							'title'       => esc_html__( 'Loader Style', 'aoki' ),
							'description' => esc_html__( 'Define styles for loader spinner animation', 'aoki' ),
							'parent'      => $page_transition_preloader_container
						)
					);
					
					$row_pt_spinner_animation = aoki_qodef_add_admin_row(
						array(
							'name'   => 'row_pt_spinner_animation',
							'parent' => $group_pt_spinner_animation
						)
					);
					
					aoki_qodef_add_admin_field(
						array(
							'type'          => 'selectsimple',
							'name'          => 'smooth_pt_spinner_type',
							'default_value' => '',
							'label'         => esc_html__( 'Spinner Type', 'aoki' ),
							'parent'        => $row_pt_spinner_animation,
							'options'       => array(
								'progress_loader'       => esc_html__( 'Progress Loader', 'aoki' ),
								'rotate_circles'        => esc_html__( 'Rotate Circles', 'aoki' ),
								'pulse'                 => esc_html__( 'Pulse', 'aoki' ),
								'double_bounce'         => esc_html__( 'Double Bounce', 'aoki' ),
								'cube'                  => esc_html__( 'Cube', 'aoki' ),
								'rotating_cubes'        => esc_html__( 'Rotating Cubes', 'aoki' ),
								'stripes'               => esc_html__( 'Stripes', 'aoki' ),
								'wave'                  => esc_html__( 'Wave', 'aoki' ),
								'two_rotating_circles'  => esc_html__( '2 Rotating Circles', 'aoki' ),
								'five_rotating_circles' => esc_html__( '5 Rotating Circles', 'aoki' ),
								'atom'                  => esc_html__( 'Atom', 'aoki' ),
								'clock'                 => esc_html__( 'Clock', 'aoki' ),
								'mitosis'               => esc_html__( 'Mitosis', 'aoki' ),
								'lines'                 => esc_html__( 'Lines', 'aoki' ),
								'fussion'               => esc_html__( 'Fussion', 'aoki' ),
								'wave_circles'          => esc_html__( 'Wave Circles', 'aoki' ),
								'pulse_circles'         => esc_html__( 'Pulse Circles', 'aoki' )
							)
						)
					);
					
					aoki_qodef_add_admin_field(
						array(
							'type'          => 'colorsimple',
							'name'          => 'smooth_pt_spinner_color',
							'default_value' => '',
							'label'         => esc_html__( 'Spinner Color', 'aoki' ),
							'parent'        => $row_pt_spinner_animation
						)
					);
					
					aoki_qodef_add_admin_field(
						array(
							'name'          => 'page_transition_fadeout',
							'type'          => 'yesno',
							'default_value' => 'no',
							'label'         => esc_html__( 'Enable Fade Out Animation', 'aoki' ),
							'description'   => esc_html__( 'Enabling this option will turn on fade out animation when leaving page', 'aoki' ),
							'parent'        => $page_transitions_container
						)
					);
		
		/***************** Smooth Page Transitions Layout - end **********************/
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'show_back_button',
				'type'          => 'yesno',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Show "Back To Top Button"', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will display a Back to Top button on every page', 'aoki' ),
				'parent'        => $panel_settings
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'responsiveness',
				'type'          => 'yesno',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Responsiveness', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will make all pages responsive', 'aoki' ),
				'parent'        => $panel_settings
			)
		);
		
		$panel_custom_code = aoki_qodef_add_admin_panel(
			array(
				'page'  => '',
				'name'  => 'panel_custom_code',
				'title' => esc_html__( 'Custom Code', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'custom_js',
				'type'        => 'textarea',
				'label'       => esc_html__( 'Custom JS', 'aoki' ),
				'description' => esc_html__( 'Enter your custom Javascript here', 'aoki' ),
				'parent'      => $panel_custom_code
			)
		);
		
		$panel_google_api = aoki_qodef_add_admin_panel(
			array(
				'page'  => '',
				'name'  => 'panel_google_api',
				'title' => esc_html__( 'Google API', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'google_maps_api_key',
				'type'        => 'text',
				'label'       => esc_html__( 'Google Maps Api Key', 'aoki' ),
				'description' => esc_html__( 'Insert your Google Maps API key here. For instructions on how to create a Google Maps API key, please refer to our to our documentation.', 'aoki' ),
				'parent'      => $panel_google_api
			)
		);
	}
	
	add_action( 'aoki_qodef_options_map', 'aoki_qodef_general_options_map', 1 );
}

if ( ! function_exists( 'aoki_qodef_page_general_style' ) ) {
	/**
	 * Function that prints page general inline styles
	 */
	function aoki_qodef_page_general_style( $style ) {
		$current_style = '';
		$page_id       = aoki_qodef_get_page_id();
		$class_prefix  = aoki_qodef_get_unique_page_class( $page_id );
		
		$boxed_background_style = array();
		
		$boxed_page_background_color = aoki_qodef_get_meta_field_intersect( 'page_background_color_in_box', $page_id );
		if ( ! empty( $boxed_page_background_color ) ) {
			$boxed_background_style['background-color'] = $boxed_page_background_color;
		}
		
		$boxed_page_background_image = aoki_qodef_get_meta_field_intersect( 'boxed_background_image', $page_id );
		if ( ! empty( $boxed_page_background_image ) ) {
			$boxed_background_style['background-image']    = 'url(' . esc_url( $boxed_page_background_image ) . ')';
			$boxed_background_style['background-position'] = 'center 0px';
			$boxed_background_style['background-repeat']   = 'no-repeat';
		}
		
		$boxed_page_background_pattern_image = aoki_qodef_get_meta_field_intersect( 'boxed_pattern_background_image', $page_id );
		if ( ! empty( $boxed_page_background_pattern_image ) ) {
			$boxed_background_style['background-image']    = 'url(' . esc_url( $boxed_page_background_pattern_image ) . ')';
			$boxed_background_style['background-position'] = '0px 0px';
			$boxed_background_style['background-repeat']   = 'repeat';
		}
		
		$boxed_page_background_attachment = aoki_qodef_get_meta_field_intersect( 'boxed_background_image_attachment', $page_id );
		if ( ! empty( $boxed_page_background_attachment ) ) {
			$boxed_background_style['background-attachment'] = $boxed_page_background_attachment;
		}
		
		$boxed_background_selector = $class_prefix . '.qodef-boxed .qodef-wrapper';
		
		if ( ! empty( $boxed_background_style ) ) {
			$current_style .= aoki_qodef_dynamic_css( $boxed_background_selector, $boxed_background_style );
		}
		
		$paspartu_style     = array();
		$paspartu_res_style = array();
		$paspartu_res_start = '@media only screen and (max-width: 1024px) {';
		$paspartu_res_end   = '}';
		
		$paspartu_color = aoki_qodef_get_meta_field_intersect( 'paspartu_color', $page_id );
		if ( ! empty( $paspartu_color ) ) {
			$paspartu_style['background-color'] = $paspartu_color;
		}
		
		$paspartu_width = aoki_qodef_get_meta_field_intersect( 'paspartu_width', $page_id );
		if ( $paspartu_width !== '' ) {
			if ( aoki_qodef_string_ends_with( $paspartu_width, '%' ) || aoki_qodef_string_ends_with( $paspartu_width, 'px' ) ) {
				$paspartu_style['padding'] = $paspartu_width;
			} else {
				$paspartu_style['padding'] = $paspartu_width . 'px';
			}
		}
		
		$paspartu_selector = $class_prefix . '.qodef-paspartu-enabled .qodef-wrapper';
		
		if ( ! empty( $paspartu_style ) ) {
			$current_style .= aoki_qodef_dynamic_css( $paspartu_selector, $paspartu_style );
		}
		
		$paspartu_responsive_width = aoki_qodef_get_meta_field_intersect( 'paspartu_responsive_width', $page_id );
		if ( $paspartu_responsive_width !== '' ) {
			if ( aoki_qodef_string_ends_with( $paspartu_responsive_width, '%' ) || aoki_qodef_string_ends_with( $paspartu_responsive_width, 'px' ) ) {
				$paspartu_res_style['padding'] = $paspartu_responsive_width;
			} else {
				$paspartu_res_style['padding'] = $paspartu_responsive_width . 'px';
			}
		}
		
		if ( ! empty( $paspartu_res_style ) ) {
			$current_style .= $paspartu_res_start . aoki_qodef_dynamic_css( $paspartu_selector, $paspartu_res_style ) . $paspartu_res_end;
		}
		
		$current_style = $current_style . $style;
		
		return $current_style;
	}
	
	add_filter( 'aoki_qodef_add_page_custom_style', 'aoki_qodef_page_general_style' );
}