<?php

if ( ! function_exists( 'aoki_qodef_map_post_video_meta' ) ) {
	function aoki_qodef_map_post_video_meta() {
		$video_post_format_meta_box = aoki_qodef_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Video Post Format', 'aoki' ),
				'name'  => 'post_format_video_meta'
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_video_type_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Video Type', 'aoki' ),
				'description'   => esc_html__( 'Choose video type', 'aoki' ),
				'parent'        => $video_post_format_meta_box,
				'default_value' => 'social_networks',
				'options'       => array(
					'social_networks' => esc_html__( 'Video Service', 'aoki' ),
					'self'            => esc_html__( 'Self Hosted', 'aoki' )
				),
				'args'          => array(
					'dependence' => true,
					'hide'       => array(
						'social_networks' => '#qodef_qodef_video_self_hosted_container',
						'self'            => '#qodef_qodef_video_embedded_container'
					),
					'show'       => array(
						'social_networks' => '#qodef_qodef_video_embedded_container',
						'self'            => '#qodef_qodef_video_self_hosted_container'
					)
				)
			)
		);
		
		$qodef_video_embedded_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $video_post_format_meta_box,
				'name'            => 'qodef_video_embedded_container',
				'hidden_property' => 'qodef_video_type_meta',
				'hidden_value'    => 'self'
			)
		);
		
		$qodef_video_self_hosted_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $video_post_format_meta_box,
				'name'            => 'qodef_video_self_hosted_container',
				'hidden_property' => 'qodef_video_type_meta',
				'hidden_value'    => 'social_networks'
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_post_video_link_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Video URL', 'aoki' ),
				'description' => esc_html__( 'Enter Video URL', 'aoki' ),
				'parent'      => $qodef_video_embedded_container,
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_post_video_custom_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Video MP4', 'aoki' ),
				'description' => esc_html__( 'Enter video URL for MP4 format', 'aoki' ),
				'parent'      => $qodef_video_self_hosted_container,
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_post_video_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Video Image', 'aoki' ),
				'description' => esc_html__( 'Enter video image', 'aoki' ),
				'parent'      => $qodef_video_self_hosted_container,
			)
		);
	}
	
	add_action( 'aoki_qodef_meta_boxes_map', 'aoki_qodef_map_post_video_meta', 22 );
}