<?php

/*** Post Settings ***/

if ( ! function_exists( 'aoki_qodef_map_post_meta' ) ) {
	function aoki_qodef_map_post_meta() {
		
		$post_meta_box = aoki_qodef_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Post', 'aoki' ),
				'name'  => 'post-meta'
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_blog_single_sidebar_layout_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Sidebar Layout', 'aoki' ),
				'description'   => esc_html__( 'Choose a sidebar layout for Blog single page', 'aoki' ),
				'default_value' => '',
				'parent'        => $post_meta_box,
                'options'       => aoki_qodef_get_custom_sidebars_options( true )
			)
		);
		
		$aoki_custom_sidebars = aoki_qodef_get_custom_sidebars();
		if ( count( $aoki_custom_sidebars ) > 0 ) {
			aoki_qodef_create_meta_box_field( array(
				'name'        => 'qodef_blog_single_custom_sidebar_area_meta',
				'type'        => 'selectblank',
				'label'       => esc_html__( 'Sidebar to Display', 'aoki' ),
				'description' => esc_html__( 'Choose a sidebar to display on Blog single page. Default sidebar is "Sidebar"', 'aoki' ),
				'parent'      => $post_meta_box,
				'options'     => aoki_qodef_get_custom_sidebars(),
				'args' => array(
					'select2' => true
				)
			) );
		}
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_blog_list_featured_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Blog List Image', 'aoki' ),
				'description' => esc_html__( 'Choose an Image for displaying in blog list. If not uploaded, featured image will be shown.', 'aoki' ),
				'parent'      => $post_meta_box
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_blog_masonry_gallery_fixed_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Fixed Proportion', 'aoki' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in fixed proportion', 'aoki' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'            => esc_html__( 'Default', 'aoki' ),
					'large-width'        => esc_html__( 'Large Width', 'aoki' ),
					'large-height'       => esc_html__( 'Large Height', 'aoki' ),
					'large-width-height' => esc_html__( 'Large Width/Height', 'aoki' )
				)
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_blog_masonry_gallery_original_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Original Proportion', 'aoki' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in original proportion', 'aoki' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'     => esc_html__( 'Default', 'aoki' ),
					'large-width' => esc_html__( 'Large Width', 'aoki' )
				)
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_show_title_area_blog_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Show Title Area', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will show title area on your single post page', 'aoki' ),
				'parent'        => $post_meta_box,
				'options'       => aoki_qodef_get_yes_no_select_array()
			)
		);

		do_action('aoki_qodef_blog_post_meta', $post_meta_box);
	}
	
	add_action( 'aoki_qodef_meta_boxes_map', 'aoki_qodef_map_post_meta', 20 );
}
