<?php

if ( ! function_exists( 'aoki_qodef_get_blog_holder_params' ) ) {
	/**
	 * Function that generates params for holders on blog templates
	 */
	function aoki_qodef_get_blog_holder_params( $params ) {
		$params_list = array();
		
		$params_list['holder'] = 'qodef-container';
		$params_list['inner']  = 'qodef-container-inner clearfix';
		
		return $params_list;
	}
	
	add_filter( 'aoki_qodef_blog_holder_params', 'aoki_qodef_get_blog_holder_params' );
}

if ( ! function_exists( 'aoki_qodef_get_blog_list_classes' ) ) {
	/**
	 * Function that generates blog list holder classes for blog list templates
	 */
	function aoki_qodef_get_blog_list_classes( $classes ) {
		$list_classes   = array();
		$list_classes[] = 'qodef-blog-type-masonry';
		
		$number_of_columns = aoki_qodef_get_meta_field_intersect( 'blog_masonry_number_of_columns' );
		if ( ! empty( $number_of_columns ) ) {
			$list_classes[] = 'qodef-blog-' . $number_of_columns . '-columns';
		}
		
		$list_classes[] = 'qodef-blog-no-space';
		
		$masonry_layout = aoki_qodef_get_meta_field_intersect( 'blog_masonry_layout' );
		$list_classes[] = 'qodef-blog-masonry-' . $masonry_layout;
		
		$classes = array_merge( $classes, $list_classes );
		
		return $classes;
	}
	
	add_filter( 'aoki_qodef_blog_list_classes', 'aoki_qodef_get_blog_list_classes' );
}

if ( ! function_exists( 'aoki_qodef_blog_part_params' ) ) {
	function aoki_qodef_blog_part_params( $params ) {
		
		$part_params              = array();
		$part_params['title_tag'] = 'h3';
		$part_params['link_tag']  = 'h3';
		$part_params['quote_tag'] = 'h3';
		
		return array_merge( $params, $part_params );
	}
	
	add_filter( 'aoki_qodef_blog_part_params', 'aoki_qodef_blog_part_params' );
}