<?php

if ( ! function_exists( 'aoki_qodef_map_content_bottom_meta' ) ) {
	function aoki_qodef_map_content_bottom_meta() {
		
		$content_bottom_meta_box = aoki_qodef_create_meta_box(
			array(
				'scope' => apply_filters( 'aoki_qodef_set_scope_for_meta_boxes', array( 'page', 'post' ), 'content_bottom_meta' ),
				'title' => esc_html__( 'Content Bottom', 'aoki' ),
				'name'  => 'content_bottom_meta'
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_enable_content_bottom_area_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Enable Content Bottom Area', 'aoki' ),
				'description'   => esc_html__( 'This option will enable Content Bottom area on pages', 'aoki' ),
				'parent'        => $content_bottom_meta_box,
				'options'       => aoki_qodef_get_yes_no_select_array(),
				'args'          => array(
					'dependence' => true,
					'hide'       => array(
						''   => '#qodef_qodef_show_content_bottom_meta_container',
						'no' => '#qodef_qodef_show_content_bottom_meta_container'
					),
					'show'       => array(
						'yes' => '#qodef_qodef_show_content_bottom_meta_container'
					)
				)
			)
		);
		
		$show_content_bottom_meta_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $content_bottom_meta_box,
				'name'            => 'qodef_show_content_bottom_meta_container',
				'hidden_property' => 'qodef_enable_content_bottom_area_meta',
				'hidden_values'   => array( '', 'no' )
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_content_bottom_sidebar_custom_display_meta',
				'type'          => 'selectblank',
				'default_value' => '',
				'label'         => esc_html__( 'Sidebar to Display', 'aoki' ),
				'description'   => esc_html__( 'Choose a content bottom sidebar to display', 'aoki' ),
				'options'       => aoki_qodef_get_custom_sidebars(),
				'parent'        => $show_content_bottom_meta_container,
				'args'          => array(
					'select2' => true
				)
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'type'          => 'select',
				'name'          => 'qodef_content_bottom_in_grid_meta',
				'default_value' => '',
				'label'         => esc_html__( 'Display in Grid', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will place content bottom in grid', 'aoki' ),
				'options'       => aoki_qodef_get_yes_no_select_array(),
				'parent'        => $show_content_bottom_meta_container
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'type'        => 'color',
				'name'        => 'qodef_content_bottom_background_color_meta',
				'label'       => esc_html__( 'Background Color', 'aoki' ),
				'description' => esc_html__( 'Choose a background color for content bottom area', 'aoki' ),
				'parent'      => $show_content_bottom_meta_container
			)
		);
	}
	
	add_action( 'aoki_qodef_meta_boxes_map', 'aoki_qodef_map_content_bottom_meta', 71 );
}