<?php

if ( ! function_exists( 'aoki_qodef_map_footer_meta' ) ) {
	function aoki_qodef_map_footer_meta() {
		
		$footer_meta_box = aoki_qodef_create_meta_box(
			array(
				'scope' => apply_filters( 'aoki_qodef_set_scope_for_meta_boxes', array( 'page', 'post' ), 'footer_meta' ),
				'title' => esc_html__( 'Footer', 'aoki' ),
				'name'  => 'footer_meta'
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_disable_footer_meta',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Disable Footer for this Page', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will hide footer on this page', 'aoki' ),
				'parent'        => $footer_meta_box
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_show_footer_top_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Show Footer Top', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will show Footer Top area', 'aoki' ),
				'parent'        => $footer_meta_box,
				'options'       => aoki_qodef_get_yes_no_select_array()
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_show_footer_bottom_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Show Footer Bottom', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will show Footer Bottom area', 'aoki' ),
				'parent'        => $footer_meta_box,
				'options'       => aoki_qodef_get_yes_no_select_array()
			)
		);
	}
	
	add_action( 'aoki_qodef_meta_boxes_map', 'aoki_qodef_map_footer_meta', 70 );
}