<?php

if ( ! function_exists( 'aoki_qodef_content_bottom_options_map' ) ) {
	function aoki_qodef_content_bottom_options_map() {
		
		$panel_content_bottom = aoki_qodef_add_admin_panel(
			array(
				'page'  => '_page_page',
				'name'  => 'panel_content_bottom',
				'title' => esc_html__( 'Content Bottom Area Style', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'enable_content_bottom_area',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Enable Content Bottom Area', 'aoki' ),
				'description'   => esc_html__( 'This option will enable Content Bottom area on pages', 'aoki' ),
				'args'          => array(
					'dependence'             => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#qodef_enable_content_bottom_area_container'
				),
				'parent'        => $panel_content_bottom
			)
		);
		
		$enable_content_bottom_area_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $panel_content_bottom,
				'name'            => 'enable_content_bottom_area_container',
				'hidden_property' => 'enable_content_bottom_area',
				'hidden_value'    => 'no'
			)
		);
		
		$aoki_custom_sidebars = aoki_qodef_get_custom_sidebars();
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'selectblank',
				'name'          => 'content_bottom_sidebar_custom_display',
				'default_value' => '',
				'label'         => esc_html__( 'Widget Area to Display', 'aoki' ),
				'description'   => esc_html__( 'Choose a Content Bottom widget area to display', 'aoki' ),
				'options'       => $aoki_custom_sidebars,
				'parent'        => $enable_content_bottom_area_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'yesno',
				'name'          => 'content_bottom_in_grid',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Display in Grid', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will place Content Bottom in grid', 'aoki' ),
				'parent'        => $enable_content_bottom_area_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'        => 'color',
				'name'        => 'content_bottom_background_color',
				'label'       => esc_html__( 'Background Color', 'aoki' ),
				'description' => esc_html__( 'Choose a background color for Content Bottom area', 'aoki' ),
				'parent'      => $enable_content_bottom_area_container
			)
		);
	}
	
	add_action( 'aoki_qodef_additional_page_options_map', 'aoki_qodef_content_bottom_options_map' );
}