<?php

if ( ! function_exists( 'aoki_qodef_footer_options_map' ) ) {
	function aoki_qodef_footer_options_map() {
		
		aoki_qodef_add_admin_page(
			array(
				'slug'  => '_footer_page',
				'title' => esc_html__( 'Footer', 'aoki' ),
				'icon'  => 'fa fa-sort-amount-asc'
			)
		);
		
		$footer_panel = aoki_qodef_add_admin_panel(
			array(
				'title' => esc_html__( 'Footer', 'aoki' ),
				'name'  => 'footer',
				'page'  => '_footer_page'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'yesno',
				'name'          => 'footer_in_grid',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Footer in Grid', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will place Footer content in grid', 'aoki' ),
				'parent'        => $footer_panel,
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'yesno',
				'name'          => 'show_footer_top',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Show Footer Top', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will show Footer Top area', 'aoki' ),
				'args'          => array(
					'dependence'             => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#qodef_show_footer_top_container'
				),
				'parent'        => $footer_panel,
			)
		);
		
		$show_footer_top_container = aoki_qodef_add_admin_container(
			array(
				'name'            => 'show_footer_top_container',
				'hidden_property' => 'show_footer_top',
				'hidden_value'    => 'no',
				'parent'          => $footer_panel
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'select',
				'name'          => 'footer_top_columns',
				'parent'        => $show_footer_top_container,
				'default_value' => '4',
				'label'         => esc_html__( 'Footer Top Columns', 'aoki' ),
				'description'   => esc_html__( 'Choose number of columns for Footer Top area', 'aoki' ),
				'options'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3',
					'4' => '4'
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'select',
				'name'          => 'footer_top_columns_alignment',
				'default_value' => 'left',
				'label'         => esc_html__( 'Footer Top Columns Alignment', 'aoki' ),
				'description'   => esc_html__( 'Text Alignment in Footer Columns', 'aoki' ),
				'options'       => array(
					''       => esc_html__( 'Default', 'aoki' ),
					'left'   => esc_html__( 'Left', 'aoki' ),
					'center' => esc_html__( 'Center', 'aoki' ),
					'right'  => esc_html__( 'Right', 'aoki' )
				),
				'parent'        => $show_footer_top_container,
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'footer_top_background_color',
				'type'        => 'color',
				'label'       => esc_html__( 'Background Color', 'aoki' ),
				'description' => esc_html__( 'Set background color for top footer area', 'aoki' ),
				'parent'      => $show_footer_top_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'yesno',
				'name'          => 'show_footer_bottom',
				'default_value' => 'yes',
				'label'         => esc_html__( 'Show Footer Bottom', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will show Footer Bottom area', 'aoki' ),
				'args'          => array(
					'dependence'             => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#qodef_show_footer_bottom_container'
				),
				'parent'        => $footer_panel,
			)
		);
		
		$show_footer_bottom_container = aoki_qodef_add_admin_container(
			array(
				'name'            => 'show_footer_bottom_container',
				'hidden_property' => 'show_footer_bottom',
				'hidden_value'    => 'no',
				'parent'          => $footer_panel
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'select',
				'name'          => 'footer_bottom_columns',
				'default_value' => '2',
				'label'         => esc_html__( 'Footer Bottom Columns', 'aoki' ),
				'description'   => esc_html__( 'Choose number of columns for Footer Bottom area', 'aoki' ),
				'options'       => array(
					'1' => '1',
					'2' => '2',
					'3' => '3'
				),
				'parent'        => $show_footer_bottom_container,
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'footer_bottom_background_color',
				'type'        => 'color',
				'label'       => esc_html__( 'Background Color', 'aoki' ),
				'description' => esc_html__( 'Set background color for bottom footer area', 'aoki' ),
				'parent'      => $show_footer_bottom_container
			)
		);
	}
	
	add_action( 'aoki_qodef_options_map', 'aoki_qodef_footer_options_map', 5 );
}