<?php

if ( ! function_exists( 'aoki_qodef_get_hide_dep_for_header_menu_area_meta_boxes' ) ) {
	function aoki_qodef_get_hide_dep_for_header_menu_area_meta_boxes() {
		$hide_dep_options = apply_filters( 'aoki_qodef_header_menu_area_hide_meta_boxes', $hide_dep_options = array() );
		
		return $hide_dep_options;
	}
}

if ( ! function_exists( 'aoki_qodef_header_menu_area_meta_options_map' ) ) {
	function aoki_qodef_header_menu_area_meta_options_map( $header_meta_box ) {
		$hide_dep_options = aoki_qodef_get_hide_dep_for_header_menu_area_meta_boxes();
		
		$menu_area_container = aoki_qodef_add_admin_container_no_style(
			array(
				'type'            => 'container',
				'name'            => 'menu_area_container',
				'parent'          => $header_meta_box,
				'hidden_property' => 'qodef_header_type_meta',
				'hidden_values'   => $hide_dep_options,
				'args'            => array(
					'enable_panels_for_default_value' => true
				)
			)
		);
		
		aoki_qodef_add_admin_section_title(
			array(
				'parent' => $menu_area_container,
				'name'   => 'menu_area_style',
				'title'  => esc_html__( 'Menu Area Style', 'aoki' )
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_disable_header_widget_menu_area_meta',
				'type'          => 'yesno',
				'default_value' => 'no',
				'label'         => esc_html__( 'Disable Header Menu Area Widget', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will hide widget area from the menu area', 'aoki' ),
				'parent'        => $menu_area_container
			)
		);
		
		$aoki_custom_sidebars = aoki_qodef_get_custom_sidebars();
		if ( count( $aoki_custom_sidebars ) > 0 ) {
			aoki_qodef_create_meta_box_field(
				array(
					'name'        => 'qodef_custom_menu_area_sidebar_meta',
					'type'        => 'selectblank',
					'label'       => esc_html__( 'Choose Custom Widget Area In Menu Area', 'aoki' ),
					'description' => esc_html__( 'Choose custom widget area to display in header menu area"', 'aoki' ),
					'parent'      => $menu_area_container,
					'options'     => $aoki_custom_sidebars
				)
			);
		}
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_menu_area_in_grid_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Menu Area In Grid', 'aoki' ),
				'description'   => esc_html__( 'Set menu area content to be in grid', 'aoki' ),
				'parent'        => $menu_area_container,
				'default_value' => '',
				'options'       => aoki_qodef_get_yes_no_select_array(),
				'args'          => array(
					'dependence' => true,
					'hide'       => array(
						''    => '#qodef_menu_area_in_grid_container',
						'no'  => '#qodef_menu_area_in_grid_container',
						'yes' => ''
					),
					'show'       => array(
						''    => '',
						'no'  => '',
						'yes' => '#qodef_menu_area_in_grid_container'
					)
				)
			)
		);
		
		$menu_area_in_grid_container = aoki_qodef_add_admin_container(
			array(
				'type'            => 'container',
				'name'            => 'menu_area_in_grid_container',
				'parent'          => $menu_area_container,
				'hidden_property' => 'qodef_menu_area_in_grid_meta',
				'hidden_value'    => 'no',
				'hidden_values'   => array( '', 'no' )
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_grid_background_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Grid Background Color', 'aoki' ),
				'description' => esc_html__( 'Set grid background color for menu area', 'aoki' ),
				'parent'      => $menu_area_in_grid_container
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_grid_background_transparency_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Grid Background Transparency', 'aoki' ),
				'description' => esc_html__( 'Set grid background transparency for menu area (0 = fully transparent, 1 = opaque)', 'aoki' ),
				'parent'      => $menu_area_in_grid_container,
				'args'        => array(
					'col_width' => 2
				)
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_menu_area_in_grid_shadow_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Grid Area Shadow', 'aoki' ),
				'description'   => esc_html__( 'Set shadow on grid menu area', 'aoki' ),
				'parent'        => $menu_area_in_grid_container,
				'default_value' => '',
				'options'       => aoki_qodef_get_yes_no_select_array()
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_menu_area_in_grid_border_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Grid Area Border', 'aoki' ),
				'description'   => esc_html__( 'Set border on grid menu area', 'aoki' ),
				'parent'        => $menu_area_in_grid_container,
				'default_value' => '',
				'options'       => aoki_qodef_get_yes_no_select_array(),
				'args'          => array(
					'dependence' => true,
					'hide'       => array(
						''    => '#qodef_menu_area_in_grid_border_container',
						'no'  => '#qodef_menu_area_in_grid_border_container',
						'yes' => ''
					),
					'show'       => array(
						''    => '',
						'no'  => '',
						'yes' => '#qodef_menu_area_in_grid_border_container'
					)
				)
			)
		);
		
		$menu_area_in_grid_border_container = aoki_qodef_add_admin_container(
			array(
				'type'            => 'container',
				'name'            => 'menu_area_in_grid_border_container',
				'parent'          => $menu_area_in_grid_container,
				'hidden_property' => 'qodef_menu_area_in_grid_border_meta',
				'hidden_value'    => 'no',
				'hidden_values'   => array( '', 'no' )
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_in_grid_border_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Border Color', 'aoki' ),
				'description' => esc_html__( 'Set border color for grid area', 'aoki' ),
				'parent'      => $menu_area_in_grid_border_container
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_background_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Background Color', 'aoki' ),
				'description' => esc_html__( 'Choose a background color for menu area', 'aoki' ),
				'parent'      => $menu_area_container
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_background_transparency_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Transparency', 'aoki' ),
				'description' => esc_html__( 'Choose a transparency for the menu area background color (0 = fully transparent, 1 = opaque)', 'aoki' ),
				'parent'      => $menu_area_container,
				'args'        => array(
					'col_width' => 2
				)
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_menu_area_shadow_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Menu Area Shadow', 'aoki' ),
				'description'   => esc_html__( 'Set shadow on menu area', 'aoki' ),
				'parent'        => $menu_area_container,
				'default_value' => '',
				'options'       => aoki_qodef_get_yes_no_select_array()
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'          => 'qodef_menu_area_border_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Menu Area Border', 'aoki' ),
				'description'   => esc_html__( 'Set border on menu area', 'aoki' ),
				'parent'        => $menu_area_container,
				'default_value' => '',
				'options'       => aoki_qodef_get_yes_no_select_array(),
				'args'          => array(
					'dependence' => true,
					'hide'       => array(
						''    => '#qodef_menu_area_border_bottom_color_container',
						'no'  => '#qodef_menu_area_border_bottom_color_container',
						'yes' => ''
					),
					'show'       => array(
						''    => '',
						'no'  => '',
						'yes' => '#qodef_menu_area_border_bottom_color_container'
					)
				)
			)
		);
		
		$menu_area_border_bottom_color_container = aoki_qodef_add_admin_container(
			array(
				'type'            => 'container',
				'name'            => 'menu_area_border_bottom_color_container',
				'parent'          => $menu_area_container,
				'hidden_property' => 'qodef_menu_area_border_meta',
				'hidden_value'    => 'no',
				'hidden_values'   => array( '', 'no' )
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'name'        => 'qodef_menu_area_border_color_meta',
				'type'        => 'color',
				'label'       => esc_html__( 'Border Color', 'aoki' ),
				'description' => esc_html__( 'Choose color of header bottom border', 'aoki' ),
				'parent'      => $menu_area_border_bottom_color_container
			)
		);
		
		aoki_qodef_create_meta_box_field(
			array(
				'parent'        => $menu_area_container,
				'type'          => 'text',
				'name'          => 'qodef_dropdown_top_position_meta',
				'label'         => esc_html__( 'Dropdown Position', 'aoki' ),
				'description'   => esc_html__( 'Enter value in percentage of entire header height', 'aoki' ),
				'args'          => array(
					'col_width' => 3,
					'suffix'    => '%'
				)
			)
		);
		
		do_action( 'aoki_qodef_header_menu_area_additional_meta_boxes_map', $menu_area_container );
	}
	
	add_action( 'aoki_qodef_header_menu_area_meta_boxes_map', 'aoki_qodef_header_menu_area_meta_options_map', 10, 1 );
}