<?php

if ( ! function_exists( 'aoki_qodef_logo_options_map' ) ) {
	function aoki_qodef_logo_options_map() {
		
		aoki_qodef_add_admin_page(
			array(
				'slug'  => '_logo_page',
				'title' => esc_html__( 'Logo', 'aoki' ),
				'icon'  => 'fa fa-coffee'
			)
		);
		
		$panel_logo = aoki_qodef_add_admin_panel(
			array(
				'page'  => '_logo_page',
				'name'  => 'panel_logo',
				'title' => esc_html__( 'Logo', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'parent'        => $panel_logo,
				'type'          => 'yesno',
				'name'          => 'hide_logo',
				'default_value' => 'no',
				'label'         => esc_html__( 'Hide Logo', 'aoki' ),
				'description'   => esc_html__( 'Enabling this option will hide logo image', 'aoki' ),
				'args'          => array(
					"dependence"             => true,
					"dependence_hide_on_yes" => "#qodef_hide_logo_container",
					"dependence_show_on_yes" => ""
				)
			)
		);
		
		$hide_logo_container = aoki_qodef_add_admin_container(
			array(
				'parent'          => $panel_logo,
				'name'            => 'hide_logo_container',
				'hidden_property' => 'hide_logo',
				'hidden_value'    => 'yes'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'logo_image',
				'type'          => 'image',
				'default_value' => QODE_ASSETS_ROOT . "/img/logo.png",
				'label'         => esc_html__( 'Logo Image - Default', 'aoki' ),
				'parent'        => $hide_logo_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'logo_image_dark',
				'type'          => 'image',
				'default_value' => QODE_ASSETS_ROOT . "/img/logo.png",
				'label'         => esc_html__( 'Logo Image - Dark', 'aoki' ),
				'parent'        => $hide_logo_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'logo_image_light',
				'type'          => 'image',
				'default_value' => QODE_ASSETS_ROOT . "/img/logo_white.png",
				'label'         => esc_html__( 'Logo Image - Light', 'aoki' ),
				'parent'        => $hide_logo_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'logo_image_sticky',
				'type'          => 'image',
				'default_value' => QODE_ASSETS_ROOT . "/img/logo.png",
				'label'         => esc_html__( 'Logo Image - Sticky', 'aoki' ),
				'parent'        => $hide_logo_container
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'          => 'logo_image_mobile',
				'type'          => 'image',
				'default_value' => QODE_ASSETS_ROOT . "/img/logo.png",
				'label'         => esc_html__( 'Logo Image - Mobile', 'aoki' ),
				'parent'        => $hide_logo_container
			)
		);
	}
	
	add_action( 'aoki_qodef_options_map', 'aoki_qodef_logo_options_map', 2 );
}