<?php

if ( ! function_exists( 'aoki_qodef_set_header_bottom_type_global_option' ) ) {
	/**
	 * This function set header type value for global header option map
	 */
	function aoki_qodef_set_header_bottom_type_global_option( $header_types ) {
		$header_types['header-bottom'] = array(
			'image' => QODE_FRAMEWORK_HEADER_TYPES_ROOT . '/header-bottom/assets/img/header-bottom.png',
			'label' => esc_html__( 'Bottom', 'aoki' )
		);
		
		return $header_types;
	}
	
	add_filter( 'aoki_qodef_header_type_global_option', 'aoki_qodef_set_header_bottom_type_global_option' );
}

if ( ! function_exists( 'aoki_qodef_set_header_bottom_type_as_global_option' ) ) {
	/**
	 * This function set default header type value for global header option map
	 */
	function aoki_qodef_set_header_bottom_type_as_global_option( $header_type ) {
		$header_type = 'header-bottom';
		
		return $header_type;
	}
	
	add_filter( 'aoki_qodef_default_header_type_global_option', 'aoki_qodef_set_header_bottom_type_as_global_option' );
}

if ( ! function_exists( 'aoki_qodef_set_header_bottom_type_meta_boxes_option' ) ) {
	/**
	 * This function set header type value for header meta boxes map
	 */
	function aoki_qodef_set_header_bottom_type_meta_boxes_option( $header_type_options ) {
		$header_type_options['header-bottom'] = esc_html__( 'Bottom', 'aoki' );
		
		return $header_type_options;
	}
	
	add_filter( 'aoki_qodef_header_type_meta_boxes', 'aoki_qodef_set_header_bottom_type_meta_boxes_option' );
}

if ( ! function_exists( 'aoki_qodef_set_show_dep_options_for_header_bottom' ) ) {
	/**
	 * This function set show container values when this header type is selected for header type global option
	 */
	function aoki_qodef_set_show_dep_options_for_header_bottom( $show_dep_options ) {
		$show_containers   = array();
		$show_containers[] = '#qodef_menu_area_container';
        $show_containers[] = '#qodef_header_vertical_area_container';
        $show_containers[] = '#qodef_panel_vertical_main_menu';
		
		$show_containers = apply_filters( 'aoki_qodef_show_dep_options_for_header_bottom', $show_containers );
		
		$show_dep_options['header-bottom'] = implode( ',', $show_containers );
		
		return $show_dep_options;
	}
	
	add_filter( 'aoki_qodef_header_type_show_global_option', 'aoki_qodef_set_show_dep_options_for_header_bottom' );
}

if ( ! function_exists( 'aoki_qodef_set_hide_dep_options_for_header_bottom' ) ) {
	/**
	 * This function set hide container values when this header type is selected for header type global option
	 */
	function aoki_qodef_set_hide_dep_options_for_header_bottom( $hide_dep_options ) {
		$hide_containers   = array();
        $hide_containers[] = '#qodef_header_behaviour';
        $hide_containers[] = '#qodef_logo_area_container';
        $hide_containers[] = '#qodef_panel_fullscreen_menu';
        $hide_containers[] = '#qodef_panel_main_menu';
        $hide_containers[] = '#qodef_panel_sticky_header';
        $hide_containers[] = '#qodef_panel_fixed_header';
		
		$hide_containers = apply_filters( 'aoki_qodef_hide_dep_options_for_header_bottom', $hide_containers );
		
		$hide_dep_options['header-bottom'] = implode( ',', $hide_containers );
		
		return $hide_dep_options;
	}
	
	add_filter( 'aoki_qodef_header_type_hide_global_option', 'aoki_qodef_set_hide_dep_options_for_header_bottom' );
}

if ( ! function_exists( 'aoki_qodef_set_show_dep_options_for_header_bottom_meta_boxes' ) ) {
	/**
	 * This function set show container values when this header type is selected for header type meta boxes map
	 */
	function aoki_qodef_set_show_dep_options_for_header_bottom_meta_boxes( $show_dep_options ) {
		$show_containers   = array();
		$show_containers[] = '#qodef_menu_area_container';
        $show_containers[] = '#qodef_header_vertical_area_container';
		
		$show_containers = apply_filters( 'aoki_qodef_show_dep_options_for_header_bottom_meta_boxes', $show_containers );
		
		$show_dep_options['header-bottom'] = implode( ',', $show_containers );
		
		return $show_dep_options;
	}
	
	add_filter( 'aoki_qodef_header_type_show_meta_boxes', 'aoki_qodef_set_show_dep_options_for_header_bottom_meta_boxes' );
}

if ( ! function_exists( 'aoki_qodef_set_hide_dep_options_for_header_bottom_meta_boxes' ) ) {
	/**
	 * This function set hide container values when this header type is selected for header type meta boxes map
	 */
	function aoki_qodef_set_hide_dep_options_for_header_bottom_meta_boxes( $hide_dep_options ) {
		$hide_containers   = array();
		$hide_containers[] = '#qodef_logo_area_container';
		
		$hide_containers = apply_filters( 'aoki_qodef_hide_dep_options_for_header_bottom_meta_boxes', $hide_containers );
		
		$hide_dep_options['header-bottom'] = implode( ',', $hide_containers );
		
		return $hide_dep_options;
	}
	
	add_filter( 'aoki_qodef_header_type_hide_meta_boxes', 'aoki_qodef_set_hide_dep_options_for_header_bottom_meta_boxes' );
}

if ( ! function_exists( 'aoki_qodef_set_hide_dep_options_header_bottom' ) ) {
	/**
	 * This function is used to hide all containers/panels for admin options when this header type is selected
	 */
	function aoki_qodef_set_hide_dep_options_header_bottom( $hide_dep_options ) {
		$hide_dep_options[] = 'header-bottom';
		
		return $hide_dep_options;
	}
	
	// header global panel options
	add_filter( 'aoki_qodef_header_logo_area_hide_global_option', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	
	// header global panel meta boxes
	add_filter( 'aoki_qodef_header_logo_area_hide_meta_boxes', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	
	// header types panel options
	add_filter( 'aoki_qodef_header_centered_hide_global_option', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	add_filter( 'aoki_qodef_full_screen_menu_hide_global_option', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	add_filter( 'aoki_qodef_header_standard_hide_global_option', 'aoki_qodef_set_hide_dep_options_header_bottom' );

	// header types panel meta boxes
	add_filter( 'aoki_qodef_header_centered_hide_meta_boxes', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	add_filter( 'aoki_qodef_header_vertical_hide_meta_boxes', 'aoki_qodef_set_hide_dep_options_header_bottom' );
	add_filter( 'aoki_qodef_header_standard_hide_meta_boxes', 'aoki_qodef_set_hide_dep_options_header_bottom' );
}