<?php

if ( ! function_exists( 'aoki_qodef_header_minimal_full_screen_menu_body_class' ) ) {
	/**
	 * Function that adds body classes for different full screen menu types
	 *
	 * @param $classes array original array of body classes
	 *
	 * @return array modified array of classes
	 */
	function aoki_qodef_header_minimal_full_screen_menu_body_class( $classes ) {
		$classes[] = 'qodef-' . aoki_qodef_options()->getOptionValue( 'fullscreen_menu_animation_style' );
		
		return $classes;
	}
	
	if ( aoki_qodef_check_is_header_type_enabled( 'header-minimal', aoki_qodef_get_page_id() ) ) {
		add_filter( 'body_class', 'aoki_qodef_header_minimal_full_screen_menu_body_class' );
	}
}

if ( ! function_exists( 'aoki_qodef_get_header_minimal_full_screen_menu' ) ) {
	/**
	 * Loads fullscreen menu HTML template
	 */
	function aoki_qodef_get_header_minimal_full_screen_menu() {
		$parameters = array(
			'fullscreen_menu_in_grid' => aoki_qodef_options()->getOptionValue( 'fullscreen_in_grid' ) === 'yes' ? true : false
		);
		
		aoki_qodef_get_module_template_part( 'templates/full-screen-menu', 'header/types/header-minimal', '', $parameters );
	}
	
	if ( aoki_qodef_check_is_header_type_enabled( 'header-minimal', aoki_qodef_get_page_id() ) ) {
		add_action( 'aoki_qodef_after_wrapper_inner', 'aoki_qodef_get_header_minimal_full_screen_menu', 40 );
	}
}

if ( ! function_exists( 'aoki_qodef_header_minimal_mobile_menu_module' ) ) {
    /**
     * Function that edits module for mobile menu
     *
     * @param $module - default module value
     *
     * @return string name of module
     */
    function aoki_qodef_header_minimal_mobile_menu_module( $module ) {
        return 'header/types/header-minimal';
    }

    if ( aoki_qodef_check_is_header_type_enabled( 'header-minimal', aoki_qodef_get_page_id() ) ) {
        add_filter('aoki_qodef_mobile_menu_module', 'aoki_qodef_header_minimal_mobile_menu_module');
    }
}

if ( ! function_exists( 'aoki_qodef_header_minimal_mobile_menu_slug' ) ) {
    /**
     * Function that edits slug for mobile menu
     *
     * @param $slug - default slug value
     *
     * @return string name of slug
     */
    function aoki_qodef_header_minimal_mobile_menu_slug( $slug ) {
        return 'minimal';
    }

    if ( aoki_qodef_check_is_header_type_enabled( 'header-minimal', aoki_qodef_get_page_id() ) ) {
        add_filter('aoki_qodef_mobile_menu_slug', 'aoki_qodef_header_minimal_mobile_menu_slug');
    }
}