<?php

if ( ! function_exists( 'aoki_qodef_mobile_header_options_map' ) ) {
	function aoki_qodef_mobile_header_options_map() {
		
		aoki_qodef_add_admin_page(
			array(
				'slug'  => '_mobile_header',
				'title' => esc_html__( 'Mobile Header', 'aoki' ),
				'icon'  => 'fa fa-mobile'
			)
		);
		
		$panel_mobile_header = aoki_qodef_add_admin_panel(
			array(
				'title' => esc_html__( 'Mobile Header', 'aoki' ),
				'name'  => 'panel_mobile_header',
				'page'  => '_mobile_header'
			)
		);
		
		$mobile_header_group = aoki_qodef_add_admin_group(
			array(
				'parent' => $panel_mobile_header,
				'name'   => 'mobile_header_group',
				'title'  => esc_html__( 'Mobile Header Styles', 'aoki' )
			)
		);
		
		$mobile_header_row1 = aoki_qodef_add_admin_row(
			array(
				'parent' => $mobile_header_group,
				'name'   => 'mobile_header_row1'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_header_height',
				'type'   => 'textsimple',
				'label'  => esc_html__( 'Height', 'aoki' ),
				'parent' => $mobile_header_row1,
				'args'   => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_header_background_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Background Color', 'aoki' ),
				'parent' => $mobile_header_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_header_border_bottom_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Border Bottom Color', 'aoki' ),
				'parent' => $mobile_header_row1
			)
		);
		
		$mobile_menu_group = aoki_qodef_add_admin_group(
			array(
				'parent' => $panel_mobile_header,
				'name'   => 'mobile_menu_group',
				'title'  => esc_html__( 'Mobile Menu Styles', 'aoki' )
			)
		);
		
		$mobile_menu_row1 = aoki_qodef_add_admin_row(
			array(
				'parent' => $mobile_menu_group,
				'name'   => 'mobile_menu_row1'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_menu_background_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Background Color', 'aoki' ),
				'parent' => $mobile_menu_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_menu_border_bottom_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Border Bottom Color', 'aoki' ),
				'parent' => $mobile_menu_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_menu_separator_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Menu Item Separator Color', 'aoki' ),
				'parent' => $mobile_menu_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'mobile_logo_height',
				'type'        => 'text',
				'label'       => esc_html__( 'Logo Height For Mobile Header', 'aoki' ),
				'description' => esc_html__( 'Define logo height for screen size smaller than 1024px', 'aoki' ),
				'parent'      => $panel_mobile_header,
				'args'        => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'mobile_logo_height_phones',
				'type'        => 'text',
				'label'       => esc_html__( 'Logo Height For Mobile Devices', 'aoki' ),
				'description' => esc_html__( 'Define logo height for screen size smaller than 480px', 'aoki' ),
				'parent'      => $panel_mobile_header,
				'args'        => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_section_title(
			array(
				'parent' => $panel_mobile_header,
				'name'   => 'mobile_header_fonts_title',
				'title'  => esc_html__( 'Typography', 'aoki' )
			)
		);
		
		$first_level_group = aoki_qodef_add_admin_group(
			array(
				'parent'      => $panel_mobile_header,
				'name'        => 'first_level_group',
				'title'       => esc_html__( '1st Level Menu', 'aoki' ),
				'description' => esc_html__( 'Define styles for 1st level in Mobile Menu Navigation', 'aoki' )
			)
		);
		
		$first_level_row1 = aoki_qodef_add_admin_row(
			array(
				'parent' => $first_level_group,
				'name'   => 'first_level_row1'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_text_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Text Color', 'aoki' ),
				'parent' => $first_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_text_hover_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Hover/Active Text Color', 'aoki' ),
				'parent' => $first_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_text_google_fonts',
				'type'   => 'fontsimple',
				'label'  => esc_html__( 'Font Family', 'aoki' ),
				'parent' => $first_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_text_font_size',
				'type'   => 'textsimple',
				'label'  => esc_html__( 'Font Size', 'aoki' ),
				'parent' => $first_level_row1,
				'args'   => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		$first_level_row2 = aoki_qodef_add_admin_row(
			array(
				'parent' => $first_level_group,
				'name'   => 'first_level_row2'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_text_line_height',
				'type'   => 'textsimple',
				'label'  => esc_html__( 'Line Height', 'aoki' ),
				'parent' => $first_level_row2,
				'args'   => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_text_text_transform',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Text Transform', 'aoki' ),
				'parent'  => $first_level_row2,
				'options' => aoki_qodef_get_text_transform_array()
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_text_font_style',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Font Style', 'aoki' ),
				'parent'  => $first_level_row2,
				'options' => aoki_qodef_get_font_style_array()
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_text_font_weight',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Font Weight', 'aoki' ),
				'parent'  => $first_level_row2,
				'options' => aoki_qodef_get_font_weight_array()
			)
		);
		
		$first_level_row3 = aoki_qodef_add_admin_row(
			array(
				'parent' => $first_level_group,
				'name'   => 'first_level_row3'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'textsimple',
				'name'          => 'mobile_text_letter_spacing',
				'label'         => esc_html__( 'Letter Spacing', 'aoki' ),
				'default_value' => '',
				'parent'        => $first_level_row3,
				'args'          => array(
					'suffix' => 'px'
				)
			)
		);
		
		$second_level_group = aoki_qodef_add_admin_group(
			array(
				'parent'      => $panel_mobile_header,
				'name'        => 'second_level_group',
				'title'       => esc_html__( 'Dropdown Menu', 'aoki' ),
				'description' => esc_html__( 'Define styles for drop down menu items in Mobile Menu Navigation', 'aoki' )
			)
		);
		
		$second_level_row1 = aoki_qodef_add_admin_row(
			array(
				'parent' => $second_level_group,
				'name'   => 'second_level_row1'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_dropdown_text_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Text Color', 'aoki' ),
				'parent' => $second_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_dropdown_text_hover_color',
				'type'   => 'colorsimple',
				'label'  => esc_html__( 'Hover/Active Text Color', 'aoki' ),
				'parent' => $second_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_dropdown_text_google_fonts',
				'type'   => 'fontsimple',
				'label'  => esc_html__( 'Font Family', 'aoki' ),
				'parent' => $second_level_row1
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_dropdown_text_font_size',
				'type'   => 'textsimple',
				'label'  => esc_html__( 'Font Size', 'aoki' ),
				'parent' => $second_level_row1,
				'args'   => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		$second_level_row2 = aoki_qodef_add_admin_row(
			array(
				'parent' => $second_level_group,
				'name'   => 'second_level_row2'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_dropdown_text_line_height',
				'type'   => 'textsimple',
				'label'  => esc_html__( 'Line Height', 'aoki' ),
				'parent' => $second_level_row2,
				'args'   => array(
					'col_width' => 3,
					'suffix'    => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_dropdown_text_text_transform',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Text Transform', 'aoki' ),
				'parent'  => $second_level_row2,
				'options' => aoki_qodef_get_text_transform_array()
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_dropdown_text_font_style',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Font Style', 'aoki' ),
				'parent'  => $second_level_row2,
				'options' => aoki_qodef_get_font_style_array()
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'    => 'mobile_dropdown_text_font_weight',
				'type'    => 'selectsimple',
				'label'   => esc_html__( 'Font Weight', 'aoki' ),
				'parent'  => $second_level_row2,
				'options' => aoki_qodef_get_font_weight_array()
			)
		);
		
		$second_level_row3 = aoki_qodef_add_admin_row(
			array(
				'parent' => $second_level_group,
				'name'   => 'second_level_row3'
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'type'          => 'textsimple',
				'name'          => 'mobile_dropdown_text_letter_spacing',
				'label'         => esc_html__( 'Letter Spacing', 'aoki' ),
				'default_value' => '',
				'parent'        => $second_level_row3,
				'args'          => array(
					'suffix' => 'px'
				)
			)
		);
		
		aoki_qodef_add_admin_section_title(
			array(
				'name'   => 'mobile_opener_panel',
				'parent' => $panel_mobile_header,
				'title'  => esc_html__( 'Mobile Menu Opener', 'aoki' )
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'        => 'mobile_menu_title',
				'type'        => 'text',
				'label'       => esc_html__( 'Mobile Navigation Title', 'aoki' ),
				'description' => esc_html__( 'Enter title for mobile menu navigation', 'aoki' ),
				'parent'      => $panel_mobile_header,
				'args'        => array(
					'col_width' => 3
				)
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_icon_color',
				'type'   => 'color',
				'label'  => esc_html__( 'Mobile Navigation Icon Color', 'aoki' ),
				'parent' => $panel_mobile_header
			)
		);
		
		aoki_qodef_add_admin_field(
			array(
				'name'   => 'mobile_icon_hover_color',
				'type'   => 'color',
				'label'  => esc_html__( 'Mobile Navigation Icon Hover Color', 'aoki' ),
				'parent' => $panel_mobile_header
			)
		);
	}
	
	add_action( 'aoki_qodef_options_map', 'aoki_qodef_mobile_header_options_map', 4 );
}