<?php

if ( ! function_exists( 'aoki_qodef_search_body_class' ) ) {
	/**
	 * Function that adds body classes for different search types
	 *
	 * @param $classes array original array of body classes
	 *
	 * @return array modified array of classes
	 */
	function aoki_qodef_search_body_class( $classes ) {
		$classes[] = 'qodef-fullscreen-search';
		$classes[] = 'qodef-search-fade';
		
		return $classes;
	}
	
	add_filter( 'body_class', 'aoki_qodef_search_body_class' );
}

if ( ! function_exists( 'aoki_qodef_get_search' ) ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function aoki_qodef_get_search() {
		aoki_qodef_load_search_template();
	}
	
	add_action( 'aoki_qodef_before_page_header', 'aoki_qodef_get_search' );
}

if ( ! function_exists( 'aoki_qodef_load_search_template' ) ) {
	/**
	 * Loads search HTML based on search type option.
	 */
	function aoki_qodef_load_search_template() {
        aoki_qodef_get_module_template_part( 'types/fullscreen/templates/fullscreen', 'search' );
	}
}