<?php

if ( ! function_exists( 'aoki_qodef_register_sidebars' ) ) {
	/**
	 * Function that registers theme's sidebars
	 */
	function aoki_qodef_register_sidebars() {
		
		register_sidebar(
			array(
				'id'            => 'sidebar',
				'name'          => esc_html__( 'Sidebar', 'aoki' ),
				'description'   => esc_html__( 'Default Sidebar', 'aoki' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<div class="qodef-widget-title-holder"><h3 class="qodef-widget-title">',
				'after_title'   => '</h3></div>'
			)
		);
	}
	
	add_action( 'widgets_init', 'aoki_qodef_register_sidebars', 1 );
}

if ( ! function_exists( 'aoki_qodef_add_support_custom_sidebar' ) ) {
	/**
	 * Function that adds theme support for custom sidebars. It also creates AokiQodefSidebar object
	 */
	function aoki_qodef_add_support_custom_sidebar() {
		add_theme_support( 'AokiQodefSidebar' );
		
		if ( get_theme_support( 'AokiQodefSidebar' ) ) {
			new AokiQodefSidebar();
		}
	}
	
	add_action( 'after_setup_theme', 'aoki_qodef_add_support_custom_sidebar' );
}