<?php

class AokiQodefSideAreaOpener extends AokiQodefWidget {
	public function __construct() {
		parent::__construct(
			'qodef_side_area_opener',
			esc_html__( 'Select Side Area Opener', 'aoki' ),
			array( 'description' => esc_html__( 'Display a "hamburger" icon that opens the side area', 'aoki' ) )
		);
		
		$this->setParams();
	}
	
	protected function setParams() {
		$this->params = array(
			array(
				'type'        => 'textfield',
				'name'        => 'icon_color',
				'title'       => esc_html__( 'Side Area Opener Color', 'aoki' ),
				'description' => esc_html__( 'Define color for side area opener', 'aoki' )
			),
			array(
				'type'        => 'textfield',
				'name'        => 'icon_background_color',
				'title'       => esc_html__( 'Side Area Opener Background Color', 'aoki' ),
				'description' => esc_html__( 'Define background color for side area opener', 'aoki' )
			),
			array(
				'type'        => 'textfield',
				'name'        => 'widget_margin',
				'title'       => esc_html__( 'Side Area Opener Margin', 'aoki' ),
				'description' => esc_html__( 'Insert margin in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'aoki' )
			),
		);
	}
	
	public function widget( $args, $instance ) {
		$holder_styles = array();
		
		if ( ! empty( $instance['icon_color'] ) ) {
			$holder_styles[] = 'color: ' . $instance['icon_color'] . ';';
		}
		if ( ! empty( $instance['icon_background_color'] ) ) {
			$holder_styles[] = 'background-color: ' . $instance['icon_background_color'] . ';';
		}
		if ( ! empty( $instance['widget_margin'] ) ) {
			$holder_styles[] = 'margin: ' . $instance['widget_margin'];
		}
		?>
		
		<a class="qodef-side-menu-button-opener" href="javascript:void(0)" <?php aoki_qodef_inline_style( $holder_styles ); ?>>
			<span class="qodef-side-menu-icon">
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
				<span class="qodef-dot"></span>
        	</span>
		</a>
	<?php }
}