<?php

if(!function_exists('aoki_qodef_map_woocommerce_meta')) {
    function aoki_qodef_map_woocommerce_meta() {
        $woocommerce_meta_box = aoki_qodef_create_meta_box(
            array(
                'scope' => array('product'),
                'title' => esc_html__('Product Meta', 'aoki'),
                'name' => 'woo_product_meta'
            )
        );

        aoki_qodef_create_meta_box_field(array(
            'name'        => 'qodef_product_featured_image_size',
            'type'        => 'select',
            'label'       => esc_html__('Dimensions for Product List Shortcode', 'aoki'),
            'description' => esc_html__('Choose image layout when it appears in Qode Product List - Masonry layout shortcode', 'aoki'),
            'parent'      => $woocommerce_meta_box,
            'options'     => array(
                'qodef-woo-image-normal-width' => esc_html__('Default', 'aoki'),
                'qodef-woo-image-large-width'  => esc_html__('Large Width', 'aoki')
            )
        ));

        aoki_qodef_create_meta_box_field(
            array(
                'name'          => 'qodef_show_title_area_woo_meta',
                'type'          => 'select',
                'default_value' => '',
                'label'         => esc_html__('Show Title Area', 'aoki'),
                'description'   => esc_html__('Disabling this option will turn off page title area', 'aoki'),
                'parent'        => $woocommerce_meta_box,
                'options'       => aoki_qodef_get_yes_no_select_array()
            )
        );
    }
	
    add_action('aoki_qodef_meta_boxes_map', 'aoki_qodef_map_woocommerce_meta', 99);
}