<?php

if ( ! function_exists( 'qodef_core_enqueue_scripts_for_portfolio_shortcodes' ) ) {
    /**
     * Function that includes all necessary 3rd party scripts for this shortcode
     */
    function qodef_core_enqueue_scripts_for_portfolio_shortcodes() {
        if(aoki_qodef_has_shortcode('qodef_horizontally_scrolling_portfolio_list')) {
            wp_enqueue_script('qodef-core-tweenmax', QODE_CORE_CPT_URL_PATH . '/portfolio/assets/js/plugins/TweenMax.min.js', array('jquery'), false, true);
        }
    }

    add_action( 'aoki_qodef_enqueue_third_party_scripts', 'qodef_core_enqueue_scripts_for_portfolio_shortcodes' );
}


if ( ! function_exists( 'qodef_core_include_portfolio_shortcodes' ) ) {
	function qodef_core_include_portfolio_shortcodes() {
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/horizontally-scrolling-portfolio-list.php';
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/portfolio-list.php';
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/portfolio-project-info.php';
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/portfolio-fullscreen-slider.php';
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/interactive-portfolio-showcase.php';
        include_once QODE_CORE_CPT_PATH . '/portfolio/shortcodes/portfolio-pair.php';

    }
	
	add_action( 'qodef_core_action_include_shortcodes_file', 'qodef_core_include_portfolio_shortcodes' );
}

if ( ! function_exists( 'qodef_core_add_portfolio_shortcodes' ) ) {
	function qodef_core_add_portfolio_shortcodes( $shortcodes_class_name ) {
		$shortcodes = array(
			'QodeCore\CPT\Shortcodes\Portfolio\HorizontallyScrollingPortfolioList',
			'QodeCore\CPT\Shortcodes\Portfolio\PortfolioList',
			'QodeCore\CPT\Shortcodes\Portfolio\PortfolioProjectInfo',
            'QodeCore\CPT\Shortcodes\Portfolio\PortfolioFullScreenSlider',
            'QodeCore\CPT\Shortcodes\Portfolio\InteractivePortfolioShowcase',
            'QodeCore\CPT\Shortcodes\Portfolio\PortfolioPair'

        );
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	add_filter( 'qodef_core_filter_add_vc_shortcode', 'qodef_core_add_portfolio_shortcodes' );
}

if ( ! function_exists( 'qodef_core_set_portfolio_list_icon_class_name_for_vc_shortcodes' ) ) {
	/**
	 * Function that set custom icon class name for portfolio list shortcodes to set our icon for Visual Composer shortcodes panel
	 */
	function qodef_core_set_portfolio_list_icon_class_name_for_vc_shortcodes( $shortcodes_icon_class_array ) {
		$shortcodes_icon_class_array[] = '.icon-wpb-hsp-list';
		$shortcodes_icon_class_array[] = '.icon-wpb-portfolio';
		$shortcodes_icon_class_array[] = '.icon-wpb-portfolio-project-info';
        $shortcodes_icon_class_array[] = '.icon-wpb-portfolio-fullscreen-slider';
        $shortcodes_icon_class_array[] = '.icon-wpb-interactive-portfolio-showcase';
        $shortcodes_icon_class_array[] = '.icon-wpb-portfolio-pair';

        return $shortcodes_icon_class_array;
	}
	
	add_filter( 'qodef_core_filter_add_vc_shortcodes_custom_icon_class', 'qodef_core_set_portfolio_list_icon_class_name_for_vc_shortcodes' );
}