<div class="qodef-portfolio-pair-holder <?php echo esc_attr($holder_classes); ?>">
    <?php foreach($portfolios as $portfolio) : ?>
        <?php 
            $dataParallax = '';
            if ($enable_parallax == 'yes') :
                $y_absolute = rand(-80, -120);
                $smoothness = 30;
                $dataParallax = '{&quot;y&quot;: '.$y_absolute.', &quot;smoothness&quot;: '.$smoothness.'}';
            endif;
        ?>
        <div class="qodef-ppi <?php echo esc_html($portfolio['class_name']); ?>" data-parallax="<?php echo esc_attr($dataParallax); ?>" >
            <div class="qodef-ppi-inner">
                <div class="qodef-ppi-image">
                    <a class="qodef-ppi-link" itemprop="url" href="<?php echo get_the_permalink($portfolio['portfolio_id']); ?>" title="<?php the_title_attribute(); ?>">
                        <?php
                        if($portfolio['enable_custom_image'] == 'no') {
                            echo get_the_post_thumbnail($portfolio['portfolio_id'], $portfolio['image_size']);
                        }
                        else {
                            echo wp_get_attachment_image($portfolio['custom_image'], 'full');
                        }
                        ?>
                    </a>
                </div>
                <div class="qodef-ppi-text-wrapper clearfix">
                    <?php if($enable_category == 'yes') : ?>
                        <?php
                            $portfolio_categories = wp_get_post_terms($portfolio['portfolio_id'], 'portfolio-category');
                            if (!empty($portfolio_categories)) : ?>
                                <div class="qodef-ppi-category">
                                    <?php foreach ($portfolio_categories as $category) :?>
                                        <a href="<?php echo get_term_link($category->term_id) ;?>"><?php echo wp_kses_post($category->name); ?> </a>
                                    <?php endforeach;  ?>
                                </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <<?php echo esc_attr($title_tag); ?> itemprop="name" class="entry-title qodef-ppi-title">
                        <a itemprop="url" href="<?php echo get_the_permalink($portfolio['portfolio_id']); ?>"><?php echo get_the_title($portfolio['portfolio_id']); ?></a>
                    </<?php echo esc_attr($title_tag); ?>>
                <?php if($enable_read_more == 'yes') : ?>
                    <?php
                        echo aoki_qodef_execute_shortcode('qodef_button', array(
                            'type'      => 'simple',
                            'text'      => esc_html__('Read More', 'select-core'),
                            'link'      => get_the_permalink($portfolio['portfolio_id']),
                            'fa_icon'   => 'fa-chevron-right',
                            'icon_pack' => 'font_awesome'
                        ));
                    ?>
                <?php endif; ?>
                </div>
            </div>
        </div>
    <?php endforeach; ?>
</div>
