(function($) {
	'use strict';
	
	var callToAction = {};
	qodef.modules.callToAction = callToAction;
	callToAction.qodefSimpleCTA = qodefSimpleCTA;
	callToAction.qodefOnDocumentReady = qodefOnDocumentReady;
	
	$(document).ready(qodefOnDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function qodefOnDocumentReady() {
        qodefSimpleCTA();
	}
	
	function qodefSimpleCTA() {
		var CTAShortcodes = $('.qodef-call-to-action-holder.qodef-simple-layout');

		if (CTAShortcodes.length) {
			CTAShortcodes.each(function(){
				var cta = $(this),
					ctaTextHolder = cta.find('.qodef-cta-text-holder'),
					ctaIcon = cta.find('.qodef-cta-icon-holder'),
					delta = Math.floor(parseInt(ctaTextHolder.css('padding-right')) + ctaIcon.outerWidth()/2);

				cta.mouseenter(function(){
					ctaTextHolder.css({'transform':'translate3d('+delta+'px, 0px, 0px)'});
					ctaIcon.css({
						'transform':'translate3d('+delta+'px, 0px, 0px)',
						'opacity' : '0'
					});
				});

				cta.mouseleave(function(){
					ctaTextHolder.css({'transform':'translate3d(0px, 0px, 0px)'});
					ctaIcon.css({
						'transform':'translate3d(0px, 0px, 0px)',
						'opacity' : '1'
					});
				});
			});
		}
	}
	
})(jQuery);