(function($) {
	'use strict';
	
	var iconWithText = {};
	qodef.modules.iconWithText = iconWithText;iconWithText
	
	iconWithText.qodefIWTHover = qodefIWTHover;
	
	iconWithText.qodefOnDocumentReady = qodefOnDocumentReady;
	
	$(document).ready(qodefOnDocumentReady);
	
	/*
	 All functions to be called on $(document).ready() should be in this function
	 */
	function qodefOnDocumentReady() {
		qodefIWTHover().init();
	}
	
	/**
	 * Object that represents icon with text shortcode
	 * @returns {{init: Function}} function that initializes icon with text shortcode's functionality
	 */
	var qodefIWTHover = function() {
		var iwt = $('.qodef-iwt');
		
		/**
		 * Function that triggers icon hover animation
		 */
		var iconAnimation = function(iwtShortcode) {
			if (iwtShortcode.hasClass('qodef-iwt-animate-on-hover')) {
			    var iwtIcon = iwtShortcode.children(),
			        animating = false;

			    iwtShortcode.on('mouseenter', function(){
			        animating = true;
			        iwtIcon.addClass('qodef-animate');
			        iwtIcon.one(qodef.transitionEnd, function(){ 
			            animating = false;
			        });
			    }).on('mouseleave', function(){
			        if (!animating) {
			            iwtIcon.removeClass('qodef-animate');
			        } else {
			            iwtIcon.one(qodef.transitionEnd, function(){ 
			                iwtIcon.removeClass('qodef-animate');
			                animating = false;
			            });
			        }
			    });
			}  
		};
		
		return {
			init: function() {
				if(iwt.length) {
					iwt.each(function() {
						iconAnimation($(this));
					});
				}
			}
		};
	};
	
})(jQuery);