(function($) {
    'use strict';

    var progressBar = {};
    qodef.modules.progressBar = progressBar;

    progressBar.qodefInitProgressBars = qodefInitProgressBars;


    progressBar.qodefOnDocumentReady = qodefOnDocumentReady;

    $(document).ready(qodefOnDocumentReady);

    /*
     All functions to be called on $(document).ready() should be in this function
     */
    function qodefOnDocumentReady() {
        qodefInitProgressBars();
    }

    /*
     **	Horizontal progress bars shortcode
     */
    function qodefInitProgressBars(){
        var progressBar = $('.qodef-progress-bar');

        if(progressBar.length){
            progressBar.each(function() {
                var thisBar = $(this),
                    thisBarContent = thisBar.find('.qodef-pb-content'),
                    percentage = thisBarContent.data('percentage'),
                    percentageNumber = thisBar.find('.qodef-pb-percent-holder');

                thisBar.appear(function() {
                    qodefInitToCounterProgressBar(thisBar, percentage);

                    thisBarContent.css('width', '0%');
                    thisBarContent.animate({'width': percentage+'%'}, 2000);
                    percentageNumber.animate({'left': percentage - (percentageNumber.outerWidth() / thisBar.outerWidth() * 100) +'%'}, 2000);

                });
            });
        }
    }

    /*
     **	Counter for horizontal progress bars percent from zero to defined percent
     */
    function qodefInitToCounterProgressBar(progressBar, $percentage){
        var percentage = parseFloat($percentage),
            percent = progressBar.find('.qodef-pb-percent-holder');

        if(percent.length) {
            percent.each(function() {
                var thisPercent= $(this);
                thisPercent.css('opacity', '1');

                thisPercent.find('.qodef-pb-percent').countTo({
                    from: 0,
                    to: percentage,
                    speed: 2000,
                    refreshInterval: 50
                });
            });
        }
    }

})(jQuery);
